Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFDictionary

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary

All Implemented Interfaces:
  PDFWritable

Direct Known Subclasses:
  PDFDPart, PDFDPartRoot, PDFEncoding, PDFFileSpec, PDFFont, PDFFontDescriptor, PDFIdentifiedDictionary, PDFNames, PDFNameTreeNode, PDFNumberTreeNode, PDFResourceContext, PDFResources, PDFRoot, StructureHierarchyMember, TransitionDictionary

    public class PDFDictionary

extends PDFObject

Class representing a PDF dictionary object

Field Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` | `entries` the entry map
`protected java.util.List<java.lang.String>` | `order` maintains the order of the entries added to the entry map.

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFDictionary()` Create a new dictionary object.
`PDFDictionary(PDFObject parent)` Create a new dictionary object.

Method Summary
`boolean` | `containsKey(java.lang.String name)`
`java.lang.Object` | `get(java.lang.String name)` Returns the value given a name.
`static void` | `getChildren(java.util.Collection<java.lang.Object> values, java.util.Set<PDFObject> children)`
`void` | `getChildren(java.util.Set<PDFObject> children)`
`java.util.Set<java.lang.String>` | `keySet()`
`int` | `output(java.io.OutputStream stream)` Write the PDF represention of this object
`void` | `put(java.lang.String name, int value)` Puts a new name/value pair.
`void` | `put(java.lang.String name, java.lang.Object value)` Puts a new name/value pair.
`void` | `remove(java.lang.String name)` Removes the mapping for the specified key
`protected void` | `writeDictionary(java.io.OutputStream out, java.lang.StringBuilder textBuffer)` Writes the contents of the dictionary to a StringBuffer.

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    protected java.util.Map<java.lang.String,java.lang.Object> entries

  the entry map

### order

    protected java.util.List<java.lang.String> order

  maintains the order of the entries added to the entry map. Whenever you modify "entries", always make sure you adjust this list accordingly.

Constructor Detail

### PDFDictionary

    public PDFDictionary()

  Create a new dictionary object.

### PDFDictionary

    public PDFDictionary(PDFObject parent)

  Create a new dictionary object.

  Parameters:
    `parent` - the object's parent if any

Method Detail

### put

    public void put(java.lang.String name,
                    java.lang.Object value)

  Puts a new name/value pair.

  Parameters:
    `name` - the name
    `value` - the value

### put

    public void put(java.lang.String name,
                    int value)

  Puts a new name/value pair.

  Parameters:
    `name` - the name
    `value` - the value

### get

    public java.lang.Object get(java.lang.String name)

  Returns the value given a name.

  Parameters:
    `name` - the name of the value
  Returns:
    the value or null, if there's no value with the given name.

### output

    public int output(java.io.OutputStream stream)
               throws java.io.IOException

  Write the PDF represention of this object

  Overrides:
    `output` in class `PDFObject`
  Parameters:
    `stream` - the stream to write the PDF to
  Returns:
    the number of bytes written
  Throws:
    `java.io.IOException` - if there is an error writing to the stream

### writeDictionary

    protected void writeDictionary(java.io.OutputStream out,
                                   java.lang.StringBuilder textBuffer)
                            throws java.io.IOException

  Writes the contents of the dictionary to a StringBuffer.

  Parameters:
    `out` - the OutputStream (for binary content)
    `textBuffer` - the text buffer for text output
  Throws:
    `java.io.IOException` - if an I/O error occurs

### getChildren

    public void getChildren(java.util.Set<PDFObject> children)

  Overrides:
    `getChildren` in class `PDFObject`

### getChildren

    public static void getChildren(java.util.Collection<java.lang.Object> values,
                                   java.util.Set<PDFObject> children)

### keySet

    public java.util.Set<java.lang.String> keySet()

### containsKey

    public boolean containsKey(java.lang.String name)

  Parameters:
    `name` - The key to find in the map.
  Returns:
    true if the map contains this key.
  See Also:
    `Map.containsKey(Object)`

### remove

    public void remove(java.lang.String name)

  Removes the mapping for the specified key

  Parameters:
    `name` - key whose mapping is to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.